This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 805749 - [abrt] Zim-0.55-1.fc16: plain.py:133:dump_children:KeyError: '1.'
[abrt] Zim-0.55-1.fc16: plain.py:133:dump_children:KeyError: '1.'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:e899bd16f586939d0c098d4d5c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 22:20 EDT by Zhang Di
Modified: 2014-02-05 06:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1005110 None None None Never

  None (edit)
Description Zhang Di 2012-03-21 22:20:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/zim
executable:     /usr/bin/zim
kernel:         3.2.10-3.fc16.x86_64
reason:         plain.py:133:dump_children:KeyError: '1.'
time:           Thu 22 Mar 2012 10:20:27 AM CST
uid:            1000
username:       zhangdi

backtrace:
:plain.py:133:dump_children:KeyError: '1.'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/clipboard.py", line 343, in _get
:    text = ''.join( dumper.dump(self.parsetree) ).encode('utf-8')
:  File "/usr/lib/python2.7/site-packages/zim/formats/plain.py", line 81, in dump
:    self.dump_children(tree.getroot(), output)
:  File "/usr/lib/python2.7/site-packages/zim/formats/plain.py", line 133, in dump_children
:    bullet = bullet_types[element.attrib.get('bullet', BULLET)]
:KeyError: '1.'
:
:Local variables in innermost frame:
:self: <zim.formats.plain.Dumper object at 0x1f33b10>
:list: <Element 'zim-tree' at 0x7f7947ea09f0>
:element: <Element 'li' at 0x7f7942008870>
:list_iter: '0'
:list_level: 0
:list_type: None
:output: []
Comment 1 Fedora End Of Life 2013-01-16 12:12:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-12-21 03:34:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 06:55:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.